develooper Front page | perl.perl5.porters | Postings from July 2020

Supporting for N years rather than N versions

Thread Previous | Thread Next
From:
Darren Duncan
Date:
July 5, 2020 21:41
Subject:
Supporting for N years rather than N versions
Message ID:
b95dfdeb-433d-44cb-0623-2c9160c8fa87@darrenduncan.net
On 2020-07-05 2:21 p.m., Paul "LeoNerd" Evans wrote:
> In summary; I think we should be thinking about this in terms of "at
> least N years", not "at least K major versions".

I fully agree with this.

Once a particular Perl standard/protocol version ceases to be the "current" 
version, it is from that point supported for "at least N years" worth of Perl 
interpreters.

So that means for example, from the day the Perl 7.0.0 interpreter comes out, 
newly released Perl interpreters over the following at least N years will 
support "use v5" code.

-- Darren Duncan

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About